> For the complete documentation index, see [llms.txt](https://docs.customerglu.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.customerglu.com/miscellaneous-topics/notifications.md).

# Notifications

CustomerGlu supports *Firebase Messaging* and *Apple Push Notification service* (*APNs*) to send in-app/push notifications to the users. Following requirements have to be met for enabling notifications from CustomerGlu:

* Your FCM Server key/Apple Push Notification Authentication Key has to be shared with CustomerGlu
* firebaseToken/apnsDeviceToken, deviceType, deviceId has to be provided during device/user registration
* The tokens must be updated on refresh from device

## Firebase Cloud Messaging (FCM)

![](/files/hjhdFKVrAw5TdWQUcbSg)

#### Creating Private Key for Firebase Account

Go to Project Settings > service accounts > Generate new private key for Node.js

![](/files/DQzKnwvWDUEYv3JNsEFB)

## Apple Push Notification service (APNs)

#### Creating Authentication Key for APNS

When sending push notifications using an APNs Auth Key, we require the following information about your app:

* Auth Key file (.p8 format)
* Key ID
* Team ID
* Your app’s bundle ID

1. Visit the Apple [Developer Member Center](https://developer.apple.com/account/).
2. Click on “Certificates, Identifiers & Profiles”.
3. Go to Keys from the Left Menu.
4. Create a new Auth Key by clicking on the “+” button in the top right corner.

![](/files/Ime8xqwsvDroWdB82Nq0)

5\. On the following page, add a Key Name, and select APNs

![](/files/J3VQKP5n2oRat2FVW7dE)

6\. On this page, you will be able to download your auth key file.

![](/files/FiLDD0DmfTvrje3VFAJX)

7\. TeamID can be found in the "View Account" menu

![](/files/d0kCZwi4AzFjq31um20j)

8\. Your app’s bundle ID can be found in Xcode.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.customerglu.com/miscellaneous-topics/notifications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
